{pkgs, ...}: {
  programs.ghostty = {
    enable = true;
    package = if pkgs.stdenv.isDarwin then pkgs.ghostty-bin else pkgs.ghostty;

    enableFishIntegration = true;
    settings = {
      background = "#fcf8f9";
      foreground = "#191017";
      
      cursor-color = "#301d23";
      selection-background = "#f4ecee";
      selection-foreground = "#191017";

      palette = [
        "0=#5c5f77"
        "1=#d20f39"
        "2=#40a02b"
        "3=#df8e1d"
        "4=#1e66f5"
        "5=#ea76cb"
        "6=#179299"
        "7=#acb0be"
        "8=#6c6f85"
        "9=#d20f39"
        "10=#40a02b"
        "11=#df8e1d"
        "12=#1e66f5"
        "13=#ea76cb"
        "14=#179299"
        "15=#bcc0cc"
      ];

      window-colorspace = "srgb";
      window-theme = "ghostty";
      window-subtitle = "working-directory";

      font-family = "JetBrainsMono NFM Regular";
      font-family-bold = "JetBrainsMono NFM Bold";
      font-family-italic = "JetBrainsMono NFM Bold Italic";
      font-family-bold-italic = "JetBrainsMono NFM Italic";

      window-width = 100;
      window-height = 30;

      auto-update = "off";
    };
  };
}
